/* ============================================================================
   GeneratePress Child Theme — hero.css
   Landingpage, Hero blocks, Productline (Home), 3 Steps block
   ============================================================================ */

/* Landingpage
   ========================================================================== */
.s5o-lp-header {
  position: fixed;
  top: 0;
  z-index: 999;
}

/* Block: 3 Steps
   ========================================================================== */
.s5o-3steps.gb-container {
  margin-bottom: -100px;
}

.s5o-3steps .wp-block-column {
  z-index: 50;
}

/* Block: Hero - css settings in gp elements
   ========================================================================== */
/* BLOCK: Der Hero-Container */
.s5o-hero {
  /*
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    min-height: 410px;
    */
}

/* ELEMENT: Das Hintergrund-Bild */
.s5o-hero__background {
  /*
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: right center;
    z-index: 0;
    pointer-events: none;
    */
}

/* ELEMENT: Der Inhalts-Bereich */
.s5o-hero__content {
  /*
    position: relative;
    z-index: 1;
    width: 100%;
    */
}

/* MODIFIER: Mobile Anpassung (Optional) */
@media (max-width: 767px) {
    .s5o-hero__background {
        object-position: center center; /* Zentriert auf Mobile */
    }
}

/* Block: Productline (Home)
   ========================================================================== */
.s5o-productline .wp-block-columns {
  margin-bottom: 0;
  padding: 0 1rem;
}

/* Block: Hero
   ========================================================================== */
.s5o-hero {
  height: 410px;
}

.s5o-hero h1,
.s5o-hero .s5o-h1 {
  margin-top: 50px;
  padding: 1rem;
}

.s5o-hero .s5o-h4 {
  padding: 1rem;
}

.s5o-hero a.gb-button {
  background-color: var(--s5o-cta-primary);
  color: black;
}

.s5o-hero .gb-button:hover {
  background-color: var(--s5o-brand-secondary);
  color: white;
}

/* #endregion */
/* BLOCK Productline
   ========================================================================== */
/*
.s5o-productline {
  background: linear-gradient(
    0deg,
    rgb(228, 228, 228) 0%,
    rgb(255, 255, 255) 40%,
    rgb(255, 255, 255) 60%,
    rgb(228, 228, 228) 100%
  );
}
*/
/*
.s5o-productline {
  background: linear-gradient(
    41deg,
    #822e06 0%,
    #dd8e54 40%,
    #5d6c79 60%,
    #1391dd 100%
  );
}
*/
.s5o-productline .tpgb-infobox .service-title {
  font-size: 1.5rem;
  line-height: 1.5rem;
  font-family: var(--s5o-f-text-cond);
  text-transform: uppercase;
}
.s5o-productline .tpgb-infobox .service-desc {
  font-size: 1em;
  font-family: var(--s5o-f-text-cond);
}

